Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » CALENDAR » Functions

Initialization and Configuration functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_calendar_init (calendar_handle_t *p_calendar)
| Initialize the CALENDAR according to the specified parameters in the calendar_init_t of associated handle. More...
hal_status_t | hal_calendar_deinit (calendar_handle_t *p_calendar)
| De-initialize the CALENDAR peripheral. More...

## Detailed Description

Initialization and Configuration functions.

      ==============================================================================
              ##### Initialization and Configuration functions #####
      ==============================================================================
      [..]
        This section provides functions allowing to:
          (+) Initialize and start the CALENDAR according to the specified parameters
              in the cslendar_init_t of associated handle.
          (+) Initialize the CALENDAR MSP.

## Function Documentation

## ◆ hal_calendar_deinit()

hal_status_t hal_calendar_deinit | ( | calendar_handle_t * | p_calendar | ) |

De-initialize the CALENDAR peripheral.

Parameters

  [in] | p_calendar | CALENDAR handle.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_calendar_init()

hal_status_t hal_calendar_init | ( | calendar_handle_t * | p_calendar | ) |

Initialize the CALENDAR according to the specified parameters in the calendar_init_t of associated handle.

Parameters

  [in] | p_calendar | Pointer to a CALENDAR handle which contains the configuration information for the specified CALENDAR module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.